Bug 1420556 - Service dialog dropdown differs from what is processed by service request
Summary: Service dialog dropdown differs from what is processed by service request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.4
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service:dialog
Depends On: 1411541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 00:12 UTC by Satoe Imaishi
Modified: 2020-07-16 09:11 UTC (History)
14 users (show)

Fixed In Version: 5.6.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411541
Environment:
Last Closed: 2017-03-09 17:09:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 0 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 2 Satoe Imaishi 2017-02-09 13:46:34 UTC
PR: https://github.com/ManageIQ/manageiq/pull/13778

Comment 3 Satoe Imaishi 2017-02-13 14:48:11 UTC
Need a fix for SUI as well.
Master PR: https://github.com/ManageIQ/manageiq-ui-service/pull/503

Comment 4 eclarizi 2017-02-14 16:54:38 UTC
Euwe backport for Main repo: https://github.com/ManageIQ/manageiq/pull/13779
Euwe backport for SUI repo: https://github.com/ManageIQ/manageiq-ui-service/pull/512

Comment 5 Satoe Imaishi 2017-02-15 19:46:19 UTC
This BZ is for Darga, so the PRs are:

Main repo: https://github.com/ManageIQ/manageiq/pull/13778
SUI repo: https://github.com/ManageIQ/manageiq-ui-service/pull/513

Comment 6 Satoe Imaishi 2017-02-21 17:58:18 UTC
New PRs:

Classic UI - https://github.com/ManageIQ/manageiq/pull/13993
Service UI - https://github.com/ManageIQ/manageiq-ui-service/pull/523

Comment 7 CFME Bot 2017-02-21 18:01:16 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/2dd7cf40b6ebb860488be3e6b149d51120ef0ff5

commit 2dd7cf40b6ebb860488be3e6b149d51120ef0ff5
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Mon Feb 20 09:28:08 2017 -0800
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Tue Feb 21 07:40:53 2017 -0800

    Force triggering of fields set to auto-refresh
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1420556

 app/helpers/application_helper/dialogs.rb                         | 4 ++++
 app/views/shared/dialogs/_dialog_field_check_box.html.haml        | 4 +++-
 .../dialogs/_dialog_field_date_and_date_time_control.html.haml    | 4 +++-
 app/views/shared/dialogs/_dialog_field_drop_down_list.html.haml   | 4 +++-
 app/views/shared/dialogs/_dialog_field_radio_button.html.haml     | 4 +++-
 app/views/shared/dialogs/_dialog_field_text_area_box.html.haml    | 4 +++-
 app/views/shared/dialogs/_dialog_field_text_box.html.haml         | 4 +++-
 spec/helpers/application_helper/dialogs_spec.rb                   | 8 ++++++++
 8 files changed, 30 insertions(+), 6 deletions(-)

Comment 8 Shveta 2017-02-28 22:42:59 UTC
Verified in 5.6.4.2.20170227152103_b15926d

Comment 10 errata-xmlrpc 2017-03-09 17:09:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.